%global commit 1a85386a3d995609e1e3bd331e908eeb72370d42
%global short_commit %(c=%{commit}; echo ${c:0:7})
%global commit_date 20170214

Name:           libvmi
Version:        0.11.0
Release:        3.%{commit_date}git%{short_commit}%{?dist}
Summary:        A library for performing virtual-machine introspection

License:        LGPLv3+
URL:            http://libvmi.com/
Source0:        https://github.com/%{name}/%{name}/archive/%{commit}.tar.gz#/%{name}-%{commit}.tar.gz
# Cannot presently build on other architectures.
ExclusiveArch: x86_64

BuildRequires:  autoconf automake libtool
BuildRequires:  gcc bison flex xen-devel fuse-devel
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(check)
BuildRequires:  pkgconfig(libvirt)

%description
LibVMI is a C library with Python bindings that makes it easy to monitor
the low-level details of a running virtual machine by viewing its memory,
trapping on hardware events, and accessing the vCPU registers.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package        utils
Summary:        Utilities which make use of %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    utils
The %{name}-utils package contains a number of programs which make
use of %{name}.

%prep
%autosetup -n libvmi-%{commit} -p1

%build
./autogen.sh
%configure \
	--disable-static \
	--enable-kvm \
	--enable-vmifs \
	--enable-xen \
	--enable-rekall-profiles
%make_build

%install
%make_install
find %{buildroot}%{_libdir} -name '*.la' -delete -print

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%license COPYING.LESSER
%doc README
%{_libdir}/libvmi-0.11.so

%files devel
%doc examples/*.c
%{_includedir}/%{name}/
%{_libdir}/libvmi.so
%{_libdir}/pkgconfig/libvmi.pc

%files utils
%{_bindir}/*

%changelog
* Thu Mar 16 2017 W. Michael Petullo <mike@flyn.org> - 0.11.0-3.20170214git1a85386
- Update to Git master

* Thu Feb 09 2017 W. Michael Petullo <mike@flyn.org> - 0.11.0-2.20170208gitd7d5714
- Update to Git master
- Add utils sub-package
- Build with Rekall support

* Mon Dec 19 2016 W. Michael Petullo <mike@flyn.org> - 0.11.0-1.20161206gitb4bf45e
- Update to Git master

* Mon Dec 05 2016 W. Michael Petullo <mike@flyn.org> - 0.11.0-1.20161202gitb9b020c
- New upstream release
- Fix incorrect version in previous log entry
- Remove patch merged upstream
- Fix Source0

* Tue Jul 12 2016 W. Michael Petullo <mike@flyn.org> - 0.11.0-1.20161003git5ad492c
- Initial package 
